Name:           xdotool
Version:        3.20210804.2
Epoch:          1
Release:        1%{?dist}
Summary:        Fake keyboard/mouse input
License:        BSD
URL:            http://www.semicomplete.com/projects/xdotool/
Source0:        https://github.com/jordansissel/xdotool/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libXtst-devel, libX11-devel, libXinerama-devel, libXi-devel, /usr/bin/pod2man, libxkbcommon-devel

%description
This tool lets you programmatically (or manually) simulate keyboard input
and mouse activity, move and re-size windows, etc.

%package -n libxdo
Summary: Keyboard input simulation library
                                                                                                                                                                                  
%description -n libxdo
This library contains functions to simulate keyboard and mouse input

%package -n libxdo-devel
Summary:        Development files for libxdo
Requires:       libxdo = %{epoch}:%{version}-%{release}

%description -n libxdo-devel
The libxdo-devel package contains libraries and header files for
developing applications that use libxdo

%prep
%setup -q

%build
export WARNFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} INSTALLMAN=$RPM_BUILD_ROOT%{_mandir} INSTALLLIB=$RPM_BUILD_ROOT%{_libdir} install

#fix permissions
chmod 0644 examples/ffsp.sh

%post -n libxdo -p /sbin/ldconfig

%files -n libxdo
%doc CHANGELIST COPYRIGHT README.md
%{_libdir}/*.so.*

%files -n libxdo-devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%doc examples

%changelog
* Sun Aug 15 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-xdotool.git

* Sun Aug 15 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33d8154
- Don't use %ldconfig_scriptlets

* Sun Aug 15 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 56cb7f8
- Update to 3.20210804.2

* Sun Aug 15 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b953d2
- Add gitlab-ci

* Sun Aug 15 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 532cfb8
- Add qubes-builder integration

* Sun Aug 15 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e308809
- Fix download url

* Sun Aug 15 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 01d0bb0
- Unmodified import from xdotool-3.20150503.1-11.fc33.src

